Unit tammgr_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMMGR_p;

function tammgr: String; 

implementation

function tammgr: String;
var
M,N,MM,NN,I,J,JI,JJ,II,IERR :Integer;
NLEAD :Array [0..3] of Integer;
B :Array [0..31] of Real;
const
A :Array [0..15] of Real = ( 7.9,8.5,4.3,3.2,5.6,-4.8,4.2,-1.4,5.7,0.8,-3.2,
-8.9,-7.2,3.5,9.3,3.3 );
label
_1,_2;
begin
Result := '';
M := 4;
N := M;
MM := M;
NN := 8;
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    B[(I-1)+(J-1)*4] := A[(I-1)+(J-1)*4];
    B[(I-1)+(J+4-1)*4] := A[(I-1)+(J-1)*4];
_1:
   end;
_2:
 end;
Result := Result + Format('%s',['   A=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
for I:=1 to M do
 begin
  Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
AMMGR(A,M,N,NLEAD,B,MM,NN,IERR);
Result := Result + Format('%s',['   NLEAD=']);
Result := Result + #$0D#$0A;
for JI:=1 to N do
 begin
  Result := Result + Format('%3d ',[NLEAD[JI-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   A=']);
Result := Result + #$0D#$0A;
for JJ:=1 to N do
 begin
for II:=1 to M do
 begin
  Result := Result + Format('%20.16f ',[A[(II-1)+(JJ-1)*4]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',['   B=']);
Result := Result + #$0D#$0A;
for J:=1 to NN do
 begin
for I:=1 to MM do
 begin
  Result := Result + Format('%20.16f ',[B[(I-1)+(J-1)*4]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
UtRes('tammgr',Result);  {     tammgr.res }
exit;
end;

end.
